# Atom-Shell Documentations

## Guides

* [Quick start](quick-start.md)
* [Build native modules](build-native-modules.md)

## Development

* [Coding style](development/coding-style.md)
* [Source code directory structure](development/source-code-directory-structure.md)
* [Build instructions (Mac)](development/build-instructions-mac.md)
* [Build instructions (Windows)](development/build-instructions-windows.md)

## API References

Renderer side modules:

* [ipc (renderer)](api/renderer/ipc-renderer.md)
* [remote](api/renderer/remote.md)

Browser side modules:

* [app](api/browser/app.md)
* [atom-delegate](api/browser/atom-delegate.md)
* [auto-updater](api/browser/auto-updater.md)
* [browser-window](api/browser/browser-window.md)
* [dialog](api/browser/dialog.md)
* [ipc (browser)](api/browser/ipc-browser.md)
* [menu](api/browser/menu.md)
* [menu-item](api/browser/menu-item.md)
* [power-monitor](api/browser/power-monitor.md)
* [protocol](api/browser/protocol.md)

Common modules:

* [clipboard](api/common/clipboard.md)
* [crash-reporter](api/common/crash-reporter.md)
* [shell](api/common/shell.md)
